---
layout: default
title: Installation methods for GitLab
description: "Learn about the various GitLab installation packages such as Ubuntu, Debian, Docker, Google Cloud, and much more."
suppress_header: true
extra_css:
  - installation.css
extra_js:
  - installation.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---
.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1#ee-title
          GitLab Installation
  #content
    .wrapper.container{role: "main"}
      .method
        .method-content
          %h2.block-title Introduction
          %ul
            %li
              %p.text-center
                We strongly recommend the Omnibus package installation since it is quicker to install, easier to upgrade, and it contains features to enhance reliability not found in other methods. We also strongly
                %a{:title => '', :href => 'https://docs.gitlab.com/ee/install/requirements.html#cpu'} recommend at least 4GB of free memory
                to run GitLab.

      .method.omnibus
        - distros = ['Ubuntu', 'Debian', 'CentOS 6', 'CentOS 7', 'OpenSUSE 42.2 and 42.3', 'Raspberry Pi 2']
        - platforms = ['ubuntu', 'debian', 'centos6', 'centos7', 'opensuse', 'raspberrypi2']
        - ce_only_platforms = { 'raspberry-pi-2' => true }
        - subtitles = ['14.04 LTS, 16.04 LTS, 18.04 LTS', '7, 8, 9', 'and RHEL, Oracle, Scientific', 'and RHEL, Oracle, Scientific', 'and SUSE Linux Enterprise Server', 'Raspbian Wheezy, Jessie']
        - icons = ['ubuntu', 'debian', 'centos', 'centos', 'opensuse', 'raspberry-pi']
        .method-content
          %h2.block-title{id: "#omnibus"} Omnibus package installation (recommended)
          %ul.flex-tile-list
            - distros.each_with_index do |distro, index|
              - ce_platform = data.platforms.select {|p| p.name == platforms[index]}
              - ee_platform = data.platforms_ee.select {|p| p.name == platforms[index]}
              %li.distro-tile{ class: "distro-tile-#{index + 1} #{'js-distro-tile-ce-only' if ce_only_platforms[distro.parameterize]}" }
                %a.js-distro-tile{ href: "##{distro.parameterize}" }
                  .tile-image
                    = partial "/images/logos/#{icons[index]}-logo.svg"
                  %span.tile-title
                    = distro
                  %br
                  %span.light
                    = subtitles[index]
              %li.distro-content.js-distro-content.hidden{ class: "distro-content-#{index + 1}", id: distro.parameterize }
                - ce_platform.each_with_index do |platform, index|
                  - ee_platform = ee_platform[index]
                  .js-platform-ce.js-install-instructions
                    = partial "_platform", locals: { platform: platform, type: "ce", toggle_type: "ee", has_ee: ee_platform, link_back: distro.parameterize }
                  - if ee_platform
                    .js-platform-ee.js-install-instructions.hidden
                      = partial "_platform", locals: { platform: ee_platform, type: "ee", toggle_type: "ce", has_ee: ee_platform, link_back: distro.parameterize }

      .method.official
        .method-content
          %h2.block-title Other official installation methods
          %ul.flex-tile-list
            - data.installation_methods.official.each do |method|
              %li
                %a{href: method.url}
                  .tile-image
                    = partial method.logo
                  %span.tile-title
                    = method.name
                  %br
                  %span.light
                    = method.desc

      .method
        .method-content
          %h2.block-title Community contributed
          %ul.flex-tile-list
            - data.installation_methods.community.each do |method|
              %li
                %a{href: method.url}
                  .tile-image
                    = partial method.logo
                  %span.tile-title
                    = method.name
                  %br
                  %span.light
                    = method.desc

      .method
        .method-content
          %h2.block-title Third-party applications that support GitLab
          %ul
            %li
              %p.text-center
                %a.btn.btn-red.cta-btn{href: "/applications"}
                  View third-party applications
